package com.njcn.supervision.service.device;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.device.QuitRunningDeviceParam;
import com.njcn.supervision.pojo.po.device.QuitRunningDevice;
import com.njcn.supervision.pojo.vo.device.QuitRunningDeviceVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-13
 */
public interface IQuitRunningDeviceService extends IBpmService<QuitRunningDevice> {

    String addRunningDevice(QuitRunningDeviceParam quitRunningDeviceParam);

    String updateQuitRunningDevice(QuitRunningDeviceParam.QuitRunningDeviceUpdateParam quitRunningDeviceUpdateParam);

    Page<QuitRunningDeviceVO> getQuitRunningDevice(QuitRunningDeviceParam.QuitRunningDeviceQueryParam quitRunningDeviceQueryParam);

    QuitRunningDeviceVO getVOById(String id);

    String cancelQuitRunningDevice(BpmProcessInstanceCancelParam cancelReqVO);

    Boolean deleteQuitRunningDevice(List<String> supervisionId);
}
